<template>
  <section class="section">
    <div class="container">
      {{ $route.query }}
    </div>
  </section>
</template>

<script>
import AUTHORISE_MUTATION from '@/graphql/Auth/Authorise.gql'
export default {
  created () {
    const { code, state } = this.$route.query
    this.$apollo.mutate({
      mutation: AUTHORISE_MUTATION,
      variables: { code, state }
    }).then(({ data: { authorise } }) => {
      localStorage.setItem('github-token', authorise.token)
      this.$router.push('/repositories')
    }).catch((err) => { console.error(err) })
  }
}
</script>
